﻿namespace Sharing.Share.Mq
{
    /// <summary>
    /// 
    /// </summary>
    public partial class EventNames
    {
        /// <summary>
        /// 服务工单交办(省工单、110、市州数据交换都是这个)---OrderDto
        /// </summary>
        public const string SharingOrderCreation = "sharing.order.creation";

        /// <summary>
        /// 服务工单退回反馈---ReturnFeedbackDto
        /// </summary>
        public const string SharingOrderReturnFeedback = "sharing.order.return.feedback";

        /// <summary>
        /// 服务工单延时审核结果---DelayResultDto
        /// </summary>
        public const string SharingOrderDelayResult = "sharing.order.delay.result";

        /// <summary>
        /// 服务工单交办补充诉求---SupplementsDto
        /// </summary>
        public const string SharingOrderSupplements = "sharing.order.supplements";

        /// <summary>
        /// 服务工单撤单---RevokeDto
        /// </summary>
        public const string SharingOrderRevoke = "sharing.order.revoke";

        /// <summary>
        /// 服务工单催单---RemindDto
        /// </summary>
        public const string SharingOrderRemind = "sharing.order.remind";

        /// <summary>
        /// 服务工单预警---WarningDto
        /// </summary>
        public const string SharingOrderWarning = "sharing.order.warning";

        /// <summary>
        /// 督办工单派发接口---SuperviseDto
        /// </summary>
        public const string SharingOrderSupervise = "sharing.order.supervise";

        /// <summary>
        /// 服务工单甄别结果---ScreenDto
        /// </summary>
        public const string SharingOrderScreen = "sharing.order.screen";

        /// <summary>
        /// 交办工单满意度接收---EvlResultDto
        /// </summary>
        public const string SharingOrderEvlResult = "sharing.order.evlresult";

        /// <summary>
        /// 上报工单处理结果/退回---ReultSendDto
        /// </summary>
        public const string SharingOrderReultSend = "sharing.order.reultsend";

        /// <summary>
        /// 上报工单评价---VisitInfoDto
        /// </summary>
        public const string SharingOrderVisitInfo = "sharing.order.visitinfo";

        /// <summary>
        /// 服务工单拓展信息交办---ReceiveCaseExtendsDto
        /// </summary>
        public const string SharingOrderExtends = "sharing.order.extends";


        /// <summary>
        /// 110工单办结---OrderDto
        /// </summary>
        public const string SharingPoliceHandle= "sharing.police.handle";

        /// <summary>
        /// 110工单退回---ReturnFeedbackDto
        /// </summary>
        public const string SharingPoliceReturn = "sharing.police.return";

        /// <summary>
        /// 110工单回访---PublishVisitDto
        /// </summary>
        public const string SharingPoliceVisit = "sharing.police.visit";

        /// <summary>
        /// 数据交换提交办理结果
        /// </summary>
        public const string SharingDataExchange = "sharing.data.exchange";

        /// <summary>
        /// 附件处理
        /// </summary>
        public const string SharingFileData = "sharing.file.data";
    }
}


