﻿namespace Sharing.Enterprise.Dtos;

public abstract class EnterpriseRequest : IEnterpriseRequest
{
    /// <summary>
    /// 
    /// </summary>
    /// <returns></returns>
    public abstract string GetRequestUrl();

    /// <summary>
    /// 
    /// </summary>
    /// <returns></returns>
    public abstract string GetHttpMethod();
}

/// <summary>
/// 
/// </summary>
/// <typeparam name="TData"></typeparam>
public abstract class EnterpriseRequest<TData> : EnterpriseRequest, IEnterpriseRequest<TData>
{
    public TData Data { get; set; }

    public void SetData(TData data)
    {
        Data = data;
    }
}