﻿namespace Sharing.Share.Dtos.Extend
{
    /// <summary>
    /// 拓展信息
    /// </summary>
    public class ReceiveCaseExtendsDto
    {
        /// <summary>
        /// 服务工单编号
        /// </summary>
        public string CaseSerial { get; set; }

        /// <summary>
        /// 表单类型
        /// </summary>
        public string FormType { get; set; }

        /// <summary>
        /// 医疗工单
        /// </summary>
        public FormMedicalInfoDto FormMedical { get; set; }

        /// <summary>
        /// 电视购物及商铺购买退换货工单
        /// </summary>
        public FormReturnexChangeInfoDto FormReturnexChange { get; set; }

        /// <summary>
        /// 电视台虚假广告工单
        /// </summary>
        public FormShamPubInfoDto FormShamPub { get; set; }

        /// <summary>
        /// 高速公路工单
        /// </summary>
        public FormExpressWayInfoDto FormExpressWay { get; set; }

        /// <summary>
        /// 四川政务服务网技术工单
        /// </summary>
        public FormNetWorktecInfoDto FormNetWorktec { get; set; }

        /// <summary>
        /// 12366投诉表单
        /// </summary>
        public FormTaxationComplaintInfoDto FormTaxationComplaint { get; set; }

        /// <summary>
        /// 四川省12366热线咨询交办单
        /// </summary>
        public FormTaxationConsultingInfoDto FormTaxationConsulting { get; set; }

        /// <summary>
        /// 12328服务监督中心受理单
        /// </summary>
        public FormTrafficInfoDto FormTraffic { get; set; }

        /// <summary>
        /// 邮政业消费者申诉受理信息
        /// </summary>
        public FormPostInfoDto FormPost { get; set; }

        /// <summary>
        /// 环保举报业务专业表单
        /// </summary>
        public FormEnvironMentInfoDto FormEnvironMent { get; set; }
    }
}
